#version 330

uniform sampler2DRect inputTex;

layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;
layout (location=2) in vec2 vsTexture2;

out vec2 fsTexture;

void main()
{
    ivec2 textureSize2d;
    textureSize2d=textureSize(inputTex);
    gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);
    fsTexture = vsTexture*vec2(textureSize2d);
}
